Username: Password:

Author Topic: Invalid License for Binance - Please Contact Support! Error Message in Terminal  (Read 424 times)

Offline zicots

  • Rookie
  • *
  • Posts: 11
    • View Profile
Hello all, so I just upgraded to PRO so I can run three exchanges.  I have been currently running KuCoin spot trading with great success.  Now I want to add BinanceFutures as another exchange.  The only problem is after adding the exchange and creating a pair to use it, when I save changes the entire system crashes and the Terminal readout gives me this error "Invalid License for Binance - Please Contact Support! Error Message in Terminal".  This doesn't make any sense as the terminal shows I have PRO, and heck, even STANDARD can run futures.  I tried adding plain old Binance, and I get the exact same error.  My license will not allow me to connect to Binance. 

Yes, I have contacted my reseller, and they're amazing at helping, but they are searching for an answer as they don't understand why my license is giving this error, when it shouldn't.  So we are trying to utilize all resources possible.  I appreciate all help.

The attached image is the error for BinanceUS, but BinanceFutures gives the exact same error, just reading BinanceFutures instead of BinanceUS obviously.

Offline zicots

  • Rookie
  • *
  • Posts: 11
    • View Profile
EDIT:

Fixed, had to add the API and exchange to edit license tab.  Doh!